ServletRequestEvent (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Class ServletRequestEvent

    java.lang.Object
      java.util.EventObject
          javax.servlet.ServletRequestEvent

Direct Known Subclasses:
  ServletRequestAttributeEvent

    @TransactionType(value=NOT_SUPPORTED)
    public class ServletRequestEvent

extends EventObject

Events of this kind indicate lifecycle events for a ServletRequest. The source of the event is the ServletContext of this web application.

Since:
  Servlet 2.4, Java Card 3.0
See Also:
  `ServletRequestListener`

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ServletRequestEvent(ServletContext sc, ServletRequest request)` Construct a ServletRequestEvent for the given ServletContext and ServletRequest.

Method Summary
`ServletContext` | `getServletContext()` Returns the ServletContext of this web application.
`ServletRequest` | `getServletRequest()` Returns the ServletRequest that is changing.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServletRequestEvent

    public ServletRequestEvent(ServletContext sc,
                               ServletRequest request)

  Construct a ServletRequestEvent for the given ServletContext and ServletRequest.

  Parameters:
    `sc` - the ServletContext of the web application.
    `request` - the ServletRequest that is sending the event.

Method Detail

### getServletRequest

    public ServletRequest getServletRequest()

  Returns the ServletRequest that is changing.

### getServletContext

    public ServletContext getServletContext()

  Returns the ServletContext of this web application.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.